#!/bin/sh
# work around for firefox bug to set cache
if [ `pwd` != '/' ];then
 FF=$(find usr/lib -type d -name firefox*)
 PKGSTATDIR=`find ../../ -type d -name status -maxdepth 3`
 PKGSTATFILE=`find $PKGSTATDIR -type f -name 'findpkgs_FINAL_PKGS*'`
 FFVER=`grep 'firefox' $PKGSTATFILE | awk -F'|' '{print $6}'`
 FFVER=${FFVER%%.*}
 if [ "$FFVER" -ge 21 ];then
   mkdir -p ${FF}/browser/defaults/preferences
   PREFDIR="${FF}/browser/defaults/preferences"
 else
   mkdir -p ${FF}/defaults/preferences
   PREFDIR="${FF}/defaults/preferences"
 fi
 cat > ${PREFDIR}/local-settings.js <<_EOF
//
//default home page and cache
pref("browser.startup.homepage", "data:text/plain,browser.startup.homepage=file:///usr/share/doc/home.htm");
pref("browser.cache.disk.capacity", 60000);
_EOF

fi
